#pragma once

class RenderContext
{
//Public members
public:
	
	GLfloat m_projectionMatrix[16];
	GLfloat m_viewMatrix[16];
	Vec4f clearColor;
	GLfloat lightPosition[3];
	Vec3f cameraRotation;
	Vec3f cameraTranslation;

//Public Methods
public:
	RenderContext(void);
	~RenderContext(void);
	void reset(void);
	void setClearColor(GLfloat red, GLfloat green, GLfloat blue, GLfloat asomething);
	void setLightPos(GLfloat x, GLfloat y, GLfloat z);
	void perspective(GLfloat fov, GLfloat aspect, GLfloat nearz, GLfloat farz);
	
};
