#version 140
precision highp float;
//in vec3 ex_Color;
//in vec3 ex_Normal;
in vec4 ex_Glow;
in vec2 ex_TexCoord;
in float LightIntensity;
out vec4 FragColor;

uniform sampler2D BarkTexture;

void main()
{
	vec4 texColor = texture2D(BarkTexture, ex_TexCoord);
	vec3 sumColor = (texColor.rgb*(1.0-ex_Glow.a))+(ex_Glow.rgb*ex_Glow.a);
	FragColor = vec4(sumColor*LightIntensity, 1.0);
	//FragColor = vec4(ex_Color*LightIntensity, 1.0);
}
